<?php
// mycssadmin ver 1.0.0
//  ------------------------------------------------------------------------ //
//                   This module; Copyright (c) 2005 gusagi                  //
//                        <http://good-tea.ddo.jp/dev>                       //
//  ------------------------------------------------------------------------ //

//*****************************************************************************/ 
// 直接呼び出された場合はexitする
//*****************************************************************************/ 
if( ! defined( 'XOOPS_ROOT_PATH' ) ) exit ;

if( ! class_exists( 'CssadminDisplay' ) ) {

class CssadminDisplay {

	/**
	 * CssadminDisplay
	 * 
	 * @param void
	 * @return void
	 */
	function CssadminDisplay() {
	}

	/**
	 * sanitizeArray4disp
	 * 
	 * @param $array
	 * @param $level
	 * @param 
	 * @param 1
	 * @return void
	 */
	function sanitizeArray4disp( $array ) {
		// MyTextSanitizerインスタンスの生成
		$myts =& MyTextSanitizer::getInstance();
		$array4disp = array();
		// 渡された配列$arrayを展開
		foreach ( $array as $key => $object ) {
			// 展開された要素$objectが配列の場合、更に展開する
			if ( is_array($object) ) {
				foreach ( $object as $key2 => $object2 ) {
					// 展開された要素$object2が配列の場合、更に展開する
					if ( is_array($object2) ) {
						foreach ( $object2 as $key3 => $object3 ) {
							// $object3が文字列
							if ( is_string($object3) ) {
								// $object3が複数行
								if ( (strstr($object3, "\n")) || (strpos($object3, "\r")) ) {
									$array4disp[$key][$key2][$key3] = $myts->displayTarea( $object3, $html = 0, $smiley = 0, $xcode = 0, $image = 0, $br = 1 );
								// $object3が単数行
								} elseif ( !empty($object3) || $object3 === '0' ) {
									$array4disp[$key][$key2][$key3] = $myts->htmlSpecialChars( $object3, ENT_QUOTES );
								// $object3がnull,空文字,文字列の0のいずれか
								} else {
									$array4disp[$key][$key2][$key3] = '';
								}
							// $object3が整数（int型）
							} elseif ( is_int($object3) ) {
								$array4disp[$key][$key2][$key3] = intval( $object3 );
							}
						}
					// $object2が文字列
					} elseif ( is_string($object2) ) {
						// $object2が複数行
						if ( (strstr($object2, "\n")) || (strpos($object2, "\r")) ) {
							$array4disp[$key][$key2] = $myts->displayTarea( $object2, $html = 0, $smiley = 0, $xcode = 0, $image = 0, $br = 1 );
						// $object2が単数行
						} elseif ( !empty($object2) || $object2 === '0' ) {
							$array4disp[$key][$key2] = $myts->htmlSpecialChars( $object2, ENT_QUOTES );
						// $object2がnull,空文字,文字列の0のいずれか
						} else {
							$array4disp[$key][$key2] = '';
						}
					// $object2が整数（int型）
					} elseif ( is_int($object2) ) {
						$array4disp[$key][$key2] = intval( $object2 );
					}
				}
			// $objectが文字列
			} elseif ( is_string($object) ) {
				// $objectが複数行
				if ( (strstr($object, "\n")) || (strpos($object, "\r")) ) {
					$array4disp[$key] = $myts->displayTarea( $object, $html = 0, $smiley = 0, $xcode = 0, $image = 0, $br = 1 );
				// $objectが単数行
				} elseif ( !empty($object) || $object === '0' ) {
					$array4disp[$key] = $myts->htmlSpecialChars( $object, ENT_QUOTES );
				// $objectがnull,空文字,文字列の0のいずれか
				} else {
					$array4disp[$key] = '';
				}
			// $objectが整数（int型）
			} elseif ( is_int($object) ) {
				$array4disp[$key] = intval( $object );
			}
		}
		return $array4disp;
	}


// end of class
}

$CssadminDisplay = new CssadminDisplay();

}

?>